How to Make a Double Lookup

Libbya
Mentor
Mentor

How to Make a Double Lookup

Libbya
Mentor
Mentor

Double lookups are so darn useful and slightly tricky to make so I figured I'd make a screencast in a dedicated thread that shows exactly how to make one and how to select each of the tables.

 

 

Reply
24,627 Views
29 Replies
Replies (29)

Anonymous
Not applicable

Libbya, thank you so much for posting this!!  I was a bit lost from our previous thread as I've not used lookups before but this is awesome 🙂

 

Thanks,

cmaso

Libbya
Mentor
Mentor

I didn't realize you had posted that. Still, it's nice to have the advanced options in the forum post, e.g. to be able to make it go fullscreen.  I also intentionally moved extra-slowly so folks can see what actions are required.  The commands at the bottom are also a nice addition although it is incorrect.  Where it says 'add basepoint' is actually adding a double lookup and single lookup.

Libbya
Mentor
Mentor

As shown in the screencast, in order to see both of the lookup tables that are associated with the double lookup, it is necessary to have the system variable BACTIONBARMODE=0.  when BACTIONBARMODE equals zero it also makes it possible to add an action to another action's selection set.  This is particularly useful for getting everything working correctly with flips.  I usually keep that variable set to 0 but sometimes it is useful to switch it to 1 when I want to select all linwork and parameters, but not any actions.  I got tired of typing out the whole name so I made this simple LISP that defines the command 'BA' which will toggle the BACTIONBARMODE system variable between 0 and 1.

 

(defun c:BA
  ( / )
  (if (= (getvar "bactionbarmode") 1)
	(setvar "bactionbarmode" 0)
	(setvar "bactionbarmode" 1))
  (princ)
  )

chris_blessing
Advocate
Advocate

Mechanical 2020 does not have an option to add a second lookup. Am I doing something wrong?

chris_blessing_0-1661949245687.png

 

Libbya
Mentor
Mentor

You are trying to create a tool from the lookup action instead of the lookup parameter.

chris_blessing
Advocate
Advocate

@Libbya That would do it, thanks!

0 Likes

rene.avilazng
Explorer
Explorer

Thank you 🙂

 

0 Likes

JoseMandirigma
Enthusiast
Enthusiast

why I don't have those 2 lightning thing, what I got after inserting double lookup is a small box just like this. Screenshot 2023-02-19 114823.png

0 Likes

Libbya
Mentor
Mentor

I took the time in the initial screencast to specifically address that.  You might want to watch it again.

JoseMandirigma
Enthusiast
Enthusiast

which part of the video? first you copy lookup (parameters), pasted it, move it on top of basepoint then change its properties and used it. which part did I miss?

0 Likes

Libbya
Mentor
Mentor

The part right after that in the video.  You also didn't bother to read the posts.  You are taking spoon-feeding to a whole new level.

JoseMandirigma
Enthusiast
Enthusiast

I understand now. Additionally, you mentioned to watch it again based on your initial response. However, in the video, it didn't demonstrate how to change the variable, and it was only discussed in a post which I didn't bother to read. That was my mistake.

0 Likes

Libbya
Mentor
Mentor

@JoseMandirigma wrote:

...However, in the video, it didn't demonstrate how to change the variable...


That is not true.  At 1:54 in the video I start typing it in and the value is changed to 1 at ~2:08 in order to show the alternate display of the tables.  I type it in again and change it back to 0 at the end of the video.  

0 Likes

JoseMandirigma
Enthusiast
Enthusiast

Oh darn, my bad. How did I miss that? I rewatched the entire video and didn't see you change the variable before. Sorry about that, and thank you.

JackTryMC
Contributor
Contributor

Is it possible to copy visibility states? @Libbya 

0 Likes

h_s_walker
Mentor
Mentor

@JackTryMC No you cannot copy visibility states between blocks. You need to create them again in the new block.

Or save the old block as the new block. I would also suggest starting a new thread with your exact problem

Howard Walker
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature


Left Handed and Proud

0 Likes

Libbya
Mentor
Mentor

 


@JackTryMC wrote:

Is it possible to copy visibility states? @Libbya 


Yeah, start a new thread.  Your question doesn't really have anything to do with the thread topic.

0 Likes

ed57gmc
Mentor
Mentor

I found a similar way to do 2 lookups, but with one Lookup. You can add multiple parameters to a single lookup action. This also provides the ability to do asymmetrical lookups. For example, in the attached block, I have Width (X) and Height (Y) stretch parameters. With 2 lookups, selecting a value changes the height and width using the same value, i.e. a square. But with the lookup in this sample, I can implement a table with x and y of different values.

Ed


Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
How to post your code.

EESignature

0 Likes